Subject: Re: [PATCH v2] mac80211: rx: frames received out of order

From: Johannes Berg <[email-masked]>
Date: Tue, 02 Aug 2016 09:49:53 +0200

On Wed, 2016-07-13 at 14:57 +0300, Yaniv Machani wrote:
> From: Meirav Kama <[email-masked]>
> 
> Upon forwarding frames from Rx to Tx in mesh, driver clones the skb.
> It zeros the tx_info and doesn't set hw_queue correctly. It then
> enqueues
> the frame in queue 0 (VOICE) instead of the correct queue.
> Upon re-queue of this frame, driver inserts it to the correct queue
> (e.g. BE).
> After that, driver dequeue frames from 2 different queues and sends
> them out of order.
> To fix this, driver will set the tx_info->hw_queue to the correct
> queue when cloning the skb.
> 
Makes sense, but the subject is a bit misleading - can you come up with
a better one?

johannes